mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true)

Nearly all the Reflection classes can have attributes associated with them. Attributes can be standard (public, private, HelpString) or custom.

Provides custom attributes for reflection objects that support them.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] ``

  Calling on or when the parameter of GetCustomAttributes is true does not walk the type hierarchy. Use to inherit custom attributes.

  This method returns custom attributes defined directly on a non-inherited member only.

  Returns an array of all of the custom attributes defined on this member, excluding named attributes, or an empty array if there are no custom attributes.

  An array of Objects representing custom attributes, or an empty array.

  When true, look up the hierarchy chain for the inherited custom attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` ``

  If is a base class or interface, this method returns any implementation of that type.

  This method returns custom attributes defined directly on a non-inherited member only.

  Calling on or when the parameter of GetCustomAttributes is true does not walk the type hierarchy. Use to inherit custom attributes.

  Returns an array of custom attributes defined on this member, identified by type, or an empty array if there are no custom attributes of that type.

  An array of Objects representing custom attributes, or an empty array.

  The type of the custom attributes. When true, look up the hierarchy chain for the inherited custom attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added

  Indicates whether one or more instance of is defined on this member.

  true if the is defined on this member; false otherwise.

  The type of the custom attributes. When true, look up the hierarchy chain for the inherited custom attribute.